SSH SFTP Updater Support

説明

Keeping your WordPress install up-to-date and installing plugins in a hassle-free manner is not so easy if your server uses SFTP. “SSH SFTP Updater Support” for WordPress uses phpseclib to remedy this deficiency.

インストール

  1. /wp-content/plugins/ssh-sftp-updater-support ディレクトリにファイルをアップロードします
  2. WordPress の「プラグイン」メニューからプラグインを有効化してください

FAQ

Installation Instructions
  1. /wp-content/plugins/ssh-sftp-updater-support ディレクトリにファイルをアップロードします
  2. WordPress の「プラグイン」メニューからプラグインを有効化してください

評価

It works without any config changes.

I recently upgraded my VPS. After that I was unable to update plugins using SSH2. I was getting this error : “Unable to locate WordPress Content directory (wp-content)”. This plugin fixed the problem. Just put the plugin files in the plugins folder, enabled the plugin from admin area. Everything started working!

Easy WP updates without using php-ssh2

Excellent plugin, no fuss, no, setup, nothing. Just install, activate, and go!
In Ubuntu 16.04 the php-ssh2 has been giving problems with WP automatic updates. This plugin doesn’t require php-ssh2 while offering the ssh functionality for updates. There’s no setup required after activation, in the plugin. You setup your SSH parameters in your wp-config, for your FTP-user, wp-user, as in example below:

define(‘FTP_PUBKEY’,’/home/wp-user/wp_rsa.pub’);
define(‘FTP_PRIKEY’,’/home/wp-user/wp_rsa’);
define(‘FTP_USER’,’wp-user’);
define(‘FTP_PASS’,”);
define(‘FTP_HOST’,’127.0.0.1:22′);

I would strongly recommend donating to this plugin.

Thank you for such excellent public service!

94件のレビューをすべて表示

貢献者と開発者

SSH SFTP Updater Support はオープンソースソフトウェアです。以下の人々がこのプラグインに貢献しています。

貢献者

“SSH SFTP Updater Support” をあなたの言語に翻訳しましょう。

開発に興味がありますか ?

コードを閲覧するか、SVN リポジトリをチェックするか、開発ログRSS で購読してみてください。

変更履歴

0.7.3

  • TWEAK: Update phpseclib to latest version (1.0.10)
  • TWEAK: Ship complete phpseclib library so that other plugins using it after we have loaded it don’t have problems
  • TWEAK: Some minor internal re-factoring
  • TWEAK: Adds a dismissable (and won’t reappear for 12 months) notice about other plugins users may be interested in.

0.7.2

  • update phpseclib to latest version

0.7.1

  • remove deprecated function

0.7.0

  • disable modal dialog and use full screen real page when prompting for information

0.6.1

  • fix a few compatibility issues with 4.2

0.6

  • update phpseclib to latest version
  • make plugin work with 4.2’s new modal dialog

0.5

  • update phpseclib to latest version

0.4

  • fix an E_NOTICE (thanks, runblip!)
  • make it so keys that are copy / pasted in are saved with HTML5’s localStorage (thanks, kkzk!)
  • update phpseclib to latest Git

0.3

  • update phpseclib to latest SVN
  • read file when FTP_PRIKEY is defined (thanks, lkraav!)

0.2

  • recursive deletes weren’t working correctly (directories never got deleted – just files)
  • use SFTP for recursive chmod instead of SSH / exec
  • fix plugin for people using custom WP_CONTENT_DIR values (thanks, dd32!)
  • plugin prevented non-SFTP install methods from being used
  • make it so private keys can be uploaded in addition to being copy / pasted

0.1

  • 最初のリリース